### Hierarchy

- Base
  - Browser
  - Server
  - BaseService

## Index

### Constructors

- constructor

### Properties

- _config

### Accessors

- config

### Methods

- fetchJson
- init
- initNameSpace

### Object literals

- _environment

## Constructors

### constructor

- new Base(): Base

- - Defined in base/base.ts:8

  #### Returns Base

## Properties

### Private _config

_config: ConfigService

- Defined in base/base.ts:8

## Accessors

### config

- get config(): ConfigService

- - Defined in base/base.ts:63

  #### Returns ConfigService

## Methods

### fetchJson

- fetchJson(url: string): Promise<any>

- - Defined in base/base.ts:57

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### init

- init(config: any, globalNameSpace?: string): Promise<any>

- - Defined in base/base.ts:14

  #### Parameters

  - ##### config: any

  - ##### Default value globalNameSpace: string = undefined

  #### Returns Promise<any>

### initNameSpace

- initNameSpace(nameSpace: string): void

- - Defined in base/base.ts:27

  #### Parameters

  - ##### nameSpace: string

  #### Returns void

## Object literals

### Private _environment

_environment: object

- Defined in base/base.ts:7

### type

type: string = "js"

- Defined in base/base.ts:7